from api_graphql.abc.db_model_filter_abc import DbModelFilterABC
from api_graphql.abc.filter.string_filter import StringFilter


class UserFilter(DbModelFilterABC):
    def __init__(
        self,
        obj: dict,
    ):
        DbModelFilterABC.__init__(self, obj)

        self.add_field("keycloakId", StringFilter)
        self.add_field("username", StringFilter)
        self.add_field("email", StringFilter)
